JobHunt/Areas/Admin/Controllers/DashBoardController.cs
using JobHunt.BU.Manage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace JobHunt.Areas.Admin.Controllers
{
    [Authorize]
    public class DashBoardController : Controller
    {
        AdvertisementManage adManage = new AdvertisementManage();
        CandidateManage cddmanage = new CandidateManage();
        RecruitJobManage recruitJobManage = new RecruitJobManage();
        // GET: Admin/DashBoard
        public ActionResult Index()
        {
            var model = adManage.GetListAdvertisementDashboard();

            ViewBag.NumberAccountActive = cddmanage.GetListCandidates((int)BU.Common.Enum.StatusCandidate.Active).Count;
            ViewBag.NumberAccountApprovaling = cddmanage.GetListCandidates((int)BU.Common.Enum.StatusCandidate.Approvaling).Count;
            ViewBag.NumberJobActive = recruitJobManage.GetListRecruitJobsUserIdNoPaging(null,(int)BU.Common.Enum.EnumStatusJob.Active).Count;
            ViewBag.NumberJobApprovaling = recruitJobManage.GetListRecruitJobsUserIdNoPaging(null, (int)BU.Common.Enum.EnumStatusJob.Approvaling).Count;

            ViewBag.ListTopFindJob = recruitJobManage.GetListFindJob();

            return View(model);
        }

        // Upload Image
        [HttpPost]
        public string UploadFileImage(HttpPostedFileBase file)
        {
            var pic = System.Web.HttpContext.Current.Request.Files["file"];
            // Validate
            // Xử lý upload lưu vào sv
            file.SaveAs(Server.MapPath("~/Assets/admin/upload/images/" + file.FileName));
            // Trả về link ảnh
            return "/Assets/admin/upload/images/" + file.FileName;
        }

        [Authorize(Roles = "admin")]
        public ActionResult SetupWebsite()
        {
            return View();
        }
    }
}

JobHunt/Controllers/BlogController.cs
using JobHunt.BU.Manage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;

namespace JobHunt.Controllers
{
    public class BlogController : Controller
    {
        NewManage newmanage = new NewManage();
        // GET: Blog
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult ListBlogs(int page = 1, int pageSize = 5)
        {
            var model = newmanage.GetAllNewsPaging(page, pageSize);
            return View(model);
        }

        public ActionResult DetailBlog(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            var model = newmanage.GetBlogById((int)id);
            if (model == null)
            {
                return HttpNotFound();
            }
            //get related blogs
            ViewBag.RelatedBlogs = newmanage.GetListBlogsRelated(id);
            return View(model);
        }
    }
}

JobHunt/Controllers/RecruitController.cs
using JobHunt.BU.DTO;
using JobHunt.BU.Common;
using JobHunt.BU.Manage;
using Microsoft.AspNet.Identity;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Mvc;
using System.Threading.Tasks;
using Microsoft.AspNet.Identity.Owin;

namespace JobHunt.Controllers
{
    public class RecruitController : Controller
    {

        ProfessionManage ProfessionManage = new ProfessionManage();
        CityManage cityManage = new CityManage();
        RecruitJobManage recruitjobManage = new RecruitJobManage();
        RecruitManage recruitManage = new RecruitManage();
        CandidateManage candidateManage = new CandidateManage();


        private ApplicationUserManager _userManager;
        private ApplicationSignInManager _signInManager;
        public ApplicationUserManager UserManager
        {
            get
            {
                return _userManager ?? HttpContext.GetOwinContext().GetUserManager<ApplicationUserManager>();
            }
            private set
            {
                _userManager = value;
            }
        }
        public ApplicationSignInManager SignInManager
        {
            get
            {
                return _signInManager ?? HttpContext.GetOwinContext().Get<ApplicationSignInManager>();
            }
            private set
            {
                _signInManager = value;
            }
        }


        // GET: Recruit
        public ActionResult Index()
        {
            return View();
        }


        [Authorize(Roles = "Người tuyển dụng")]
        public ActionResult ProfileRecruit()
        {

            //Lấy ra danh sách tất cả danh mục công việc
            ViewBag.ListProfesstions = new SelectList(ProfessionManage.GetAllProfessions(), "ProfessionId", "PFName");

            //Lấy danh sách tỉnh
            ViewBag.ListCities = new SelectList(cityManage.GetAllCities(), "CityId", "CName");

            //Lấy danh sách trình độ
            ViewBag.ListLevels = new SelectList(new LevelManage().GetAllLevels(), "LevelInfoId", "LIName");

            //Lấy danh sách kinh nghiệm
            ViewBag.ListExperiences = new SelectList(new ExperienceManage().GetAllExperiences(), "ExperienceId", "EShow");

            //Lấy danh sách kinh Lương
            ViewBag.ListSalaries = new SelectList(new SalaryMange().GetAllSalaries(), "SalaryId", "SShow");

            //Lấy danh sách hình thức làm việc
            ViewBag.ListWorkTypes = new SelectList(new WorkTypeManage().GetAllWorkTypes(), "WorkTypeId", "WTName");

            //Lấy ra danh sách size của công ty
            ViewBag.ListCompanySizes = new SelectList(new CompanySizeManage().GetAllCompanySizes(), "CompanySizeId", "CSShow");

            var idRecruit = User.Identity.GetUserId();

            var model = new RecruitManage().GetRecruitInfoByIdAspNetUser(User.Identity.GetUserId());

            return View(model);
        }

        public JsonResult UpdateProfileRecruit(RecruitDTO rcdto)
        {
            var resultCode = 0;
            var messageResult = "";
            var statusResult = "error";
            if (string.IsNullOrEmpty(rcdto.RILogo) || string.IsNullOrEmpty(rcdto.RIFullName) || string.IsNullOrEmpty(rcdto.RICoverImage) || string.IsNullOrEmpty(rcdto.RIAvatar)
                || string.IsNullOrEmpty(rcdto.FoundedYear.ToString()) || string.IsNullOrEmpty(rcdto.RIAbout) || string.IsNullOrEmpty(rcdto.RI_CompanySizeId.ToString()) || string.IsNullOrEmpty(rcdto.RI_ProfessionId.ToString()))
            {

                resultCode = 2;
            }
            else if (rcdto.RIFullName.Length < 3)
            {

                resultCode = 3;
            }
            else
            {
                resultCode = recruitManage.UpdateProfileRecruit(rcdto, (int)JobHunt.BU.Common.Enum.TypeUpdate.UpdateInformation);
            }

            switch (resultCode)
            {
                case 0:
                    messageResult = "Đã xảy ra lỗi trong quá trình sửa";
                    break;
                case 1:
                    {
                        messageResult = "Sửa thành công";
                        statusResult = "success";
                    }
                    break;
                case 2:
                    messageResult = "Hãy nhập đầy đủ thông tin";
                    break;
                case 3:
                    messageResult = "Hãy điền đúng định dạng";
                    break;
                default:
                    break;
            }
            return Json(new { message = messageResult, status = statusResult }, JsonRequestBehavior.AllowGet);
        }


        public JsonResult UpdateContactRecruit(RecruitDTO rcdto)
        {
            var resultCode = 0;
            var messageResult = "";
            var statusResult = "error";
            //if (string.IsNullOrEmpty(rcdto.RIPhone) || string.IsNullOrEmpty(rcdto.RI_CityId.ToString()) || string.IsNullOrEmpty(rcdto.RI_DistrictId.ToString()) || string.IsNullOrEmpty(rcdto.RI_WardId.ToString()))
            if (string.IsNullOrEmpty(rcdto.RIPhone))
            {

                resultCode = 2;
            }
            else if (rcdto.RIPhone.Length < 3)
            {

                resultCode = 3;
            }
            else
            {
                if (CheckExistsEmailOfRecruit(rcdto))
                    resultCode = 4;
                else if (CheckExistsPhoneOfRecruit(rcdto))
                    resultCode = 5;
                else
                    resultCode = recruitManage.UpdateProfileRecruit(rcdto, (int)JobHunt.BU.Common.Enum.TypeUpdate.UpdateContact);
            }

            switch (resultCode)
            {
                case 1:
                    {
                        messageResult = "Sửa thành công";
                        statusResult = "success";
                    }
                    break;
                case 2:
                    messageResult = "Hãy nhập đầy đủ thông tin";
                    break;
                case 3:
                    messageResult = "Hãy điền đúng định dạng";
                    break;
                case 4:
                    messageResult = "Email đã được sử dụng";
                    break;
                case 5:
                    messageResult = "Số điện thoại đã được sử dụng";
                    break;
                default:
                    messageResult = "Đã xảy ra lỗi trong quá trình sửa";
                    break;
            }
            return Json(new { message = messageResult, status = statusResult }, JsonRequestBehavior.AllowGet);
        }

        //check exists phone
        public bool CheckExistsPhoneOfRecruit(RecruitDTO rcdto)
        {
            var result = false;
            var getAllRecruit = recruitManage.GetAllRecruits();
            if (getAllRecruit.Any(x => x.RecruitId != rcdto.RecruitId && x.RIPhone == rcdto.RIPhone))
                result = true;
            return result;
        }

        //check exists email
        public bool CheckExistsEmailOfRecruit(RecruitDTO rcdto)
        {
            var result = false;
            var getAllRecruit = recruitManage.GetAllRecruits();
            if (getAllRecruit.Any(x => x.RecruitId != rcdto.RecruitId && x.RIEmail == rcdto.RIEmail))
                result = true;
            return result;
        }

        [Authorize(Roles = "Người tuyển dụng")]
        public ActionResult PostJob()
        {
            ////Nếu chưa login thì yêu càu login
            //if (!Request.IsAuthenticated)
            //    return RedirectToAction("Login", "Account");
            ////Nếu đã login nhưng chưa hồ sơ chưa được duyệt
            //else
            //{
            //    //check thông tin
            //    if (User.IsInRole("Người tìm việc"))
            //    {
            //        var cdd = candidateManage.GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId());
            //        if (cdd.CPStatus != (int)BU.Common.Enum.StatusCandidate.Active)
            //        {
            //            return RedirectToAction("CandidateProfile", "Candidate");
            //        }
            //    }
            //    else if (User.IsInRole("Người tuyển dụng"))
            //    {
            //        var rc = recruitManage.GetRecruitInfoByIdAspNetUser(User.Identity.GetUserId());
            //        if (rc.RIStatus != (int)BU.Common.Enum.StatusRecruit.Active)
            //        {
            //            return RedirectToAction("ProfileRecruit", "Recruit");
            //        }
            //    }
            //}
            //Lấy ra danh sách tất cả danh mục công việc
            ViewBag.ListProfesstions = new SelectList(ProfessionManage.GetAllProfessions(), "ProfessionId", "PFName");

            //Lấy danh sách tỉnh
            ViewBag.ListCities = new SelectList(cityManage.GetAllCities(), "CityId", "CName");

            //Lấy danh sách trình độ
            ViewBag.ListLevels = new SelectList(new LevelManage().GetAllLevels(), "LevelInfoId", "LIName");

            //Lấy danh sách kinh nghiệm
            ViewBag.ListExperiences = new SelectList(new ExperienceManage().GetAllExperiences(), "ExperienceId", "EShow");

            //Lấy danh sách kinh Lương
            ViewBag.ListSalaries = new SelectList(new SalaryMange().GetAllSalaries(), "SalaryId", "SShow");

            //Lấy danh sách hình thức làm việc
            ViewBag.ListWorkTypes = new SelectList(new WorkTypeManage().GetAllWorkTypes(), "WorkTypeId", "WTName");
            return View();
        }






        //Danh sách công việc
        [Authorize(Roles = "Người tuyển dụng")]
        public ActionResult ListJobsPost(int page = 1, int pageSize = 10)
        {
            var UserId = User.Identity.GetUserId();
            //Lấy thông tin recruit dựa vào id user
            var getRecruit = recruitManage.GetRecruitInfoByIdAspNetUser(UserId);
            //Lấy tổng số công việc đã đăng.

JobHunt/Views/Shared/Error404.cshtml
@{
    Layout = null;
}


<!DOCTYPE html>
<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Lỗi</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="CreativeLayers">

    <!-- Styles -->
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/bootstrap-grid.css" />
    <link rel="stylesheet" href="~/Assets/client/css/icons.css">
    <link rel="stylesheet" href="~/Assets/client/css/animate.min.css">
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/style.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/responsive.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/chosen.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/colors/colors.css" />
    <link rel="stylesheet" type="text/css" href="~/Assets/client/css/bootstrap.css" />
    <link href="~/Assets/client/css/font-awesome.min.css" rel="stylesheet" />

</head>
<body>

    <div class="page-loading">
        <img src="~/Assets/client/images/loader.gif" alt="" />
        <span>Skip Loader</span>
    </div>

    <div class="theme-layout" id="scrollup">

        <section>
            <div class="block no-padding">
                <div class="container fluid">
                    <div class="row">
                        <div class="col-lg-12">
                            <div class="main-featured-sec witherror">
                                <ul class="main-slider-sec text-arrows">
                                    <li><img src="~/Assets/client/images/resource/mslider3.jpg" alt="" /></li>
                                    <li><img src="~/Assets/client/images/resource/mslider2.jpg" alt="" /></li>
                                    <li><img src="~/Assets/client/images/resource/mslider1.jpg" alt="" /></li>
                                </ul>
                                <div class="error-sec">
                                    <img src="~/Assets/client/images/404.png" alt="" />
                                    <span>Chúng tôi xin lỗi, trang không tồn tại</span>
                                    <p>Thật không may, trang bạn đang tìm kiếm không thể được tìm thấy. Nó có thể tạm thời không có sẵn, di chuyển hoặc không còn tồn tại. Kiểm tra Url bạn đã nhập cho bất kỳ sai lầm và thử lại.</p>
                                    <h6><a href="/" title="">Trở lại trang chủ</a></h6>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </div>


    <script src="~/Assets/client/js/jquery.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/modernizr.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/script.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/bootstrap.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/wow.min.js" type="text/javascript"></script>
    <script src="~/Assets/client/js/slick.min.js" type="text/javascript"></script>

</body>
</html>

JobHunt/Views/Shared/_LayoutAuthentication.cshtml
@using JobHunt.BU.Manage
@using JobHunt.BU.DTO
@using Microsoft.AspNet.Identity
@{
    var InfoCandidate = (CandidateDTO)(new CandidateManage().GetCandidateInfoByIdAspNetUser(User.Identity.GetUserId()));
    var url = Request.Url.ToString();
}
@if (Request.IsAuthenticated)
{
    if (User.IsInRole("Người tìm việc"))
    {
        <div class="my-profiles-sec">
            <span><img src="@InfoCandidate.CPAvatar" alt="" style="width: 50px; height: 50px" class="avatarlinkclass"> @User.Identity.Name <i class="la la-bars"></i></span>
        </div>
        #region
        <div class="profile-sidebar">
            <span class="close-profile"><i class="la la-close"></i></span>
            <div class="can-detail-s">
                <div class="cst"><img src="@InfoCandidate.CPAvatar" alt="Ảnh đại diện" class="avatarlinkclass" /></div>
                <h3>@User.Identity.Name</h3>
                <p>@InfoCandidate.CddEmail</p>
                <p>Thành viên từ @InfoCandidate.CddRegisterDate.Value.ToString("dd/MM/yyyy")</p>
                <p><i class="la la-map-marker"></i>@InfoCandidate.CddAddress</p>
            </div>
            <div class="tree_widget-sec">
                <ul>
                    <li class="inner-child">
                        <a title=""><i class="la la-briefcase"></i>Hồ sơ cá nhân</a>
                        <ul>
                            <li><a href="@Url.Action("CandidateProfile","Candidate")" title="">Quản lý hồ sơ</a></li>
                            <li><a href="@Url.Action("CandidateUploadCV","Candidate")" title="">CV - Hồ sơ đính kèm</a></li>
                        </ul>
                    </li>
                    <li class="inner-child">
                        <a href="#" title=""><i class="la la-paper-plane"></i>Việc làm của tôi</a>
                        <ul>
                            <li><a href="@Url.Action("SaveJobs","Candidate")" title="">Việc đã lưu</a></li>
                            <li><a href="@Url.Action("AppliedJobs","Candidate")" title="">Việc đã ứng tuyển</a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="@Url.Action("ChangePassword","Candidate")" title=""><i class="la la-flash"></i>Đổi mật khẩu</a>
                    </li>
                    @*<li class="inner-child">
                            <a href="#" title=""><i class="la la-user"></i>Tài khoản</a>
                            <ul>
                                <li><a href="@Url.Action("UpdateAccount","Candidate")" title="">Chỉnh sửa tài khoản</a></li>
                            </ul>
                        </li>*@
                    <li>
                        @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                        {
                            @Html.AntiForgeryToken()
                            <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống"><i class="la la-unlink"></i> Đăng xuất</a>

                        }

                    </li>
                </ul>
            </div>
        </div><!-- Profile Sidebar -->
        #endregion
    }
    else if (User.IsInRole("Người tuyển dụng"))
    {
        <div class="btns-profiles-sec">
            <span><img src="~/Assets/client/images/avatar-default.png" alt="Ảnh đại diện" style="width: 50px; height: 50px"> @User.Identity.Name <i class="la la-angle-down"></i></span>
            <ul style="z-index: 9">
                <li><a href="@Url.Action("ProfileRecruit","Recruit")" title=""><i class="la la-file-text"></i> Hồ sơ công ty</a></li>
                <li><a href="@Url.Action("ListJobsPost","Recruit")" title=""><i class="la la-briefcase"></i> Quản lý công việc</a></li>
                @*<li><a href="@Url.Action("PostJob","Recruit")" title=""><i class="la la-leaf"></i> Đăng tin tuyển dụng</a></li>*@
                <li><a href="@Url.Action("ChangePassword","Recruit")" title=""><i class="la la-key"></i> Đổi mật khẩu</a></li>
                <li>
                    @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                    {
                        @Html.AntiForgeryToken()
                        <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống" class="logout"><i class="la la-history"></i> Đăng xuất</a>

                    }

                </li>
            </ul>
        </div>
    }
    else
    {
        <div class="btn-extars">
            <ul class="account-btns">
                <li>
                    <a href="@Url.Action("", "DashBoard", new { Area = "Admin" })" title="">Quản lý</a>

                </li>
                <li>
                    @using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
                    {
                        @Html.AntiForgeryToken()
                        <a href="javascript:document.getElementById('logoutForm').submit()" title="Đăng xuất khỏi hệ thống"><i class="la la-unlink"></i> Đăng xuất</a>

                    }
                </li>
            </ul>
        </div><!-- Btn Extras -->
    }

}
else
{
    <div class="btn-extars">
        @*<a href="#" title="" class="post-job-btn"><i class="la la-plus"></i>Post Jobs</a>*@

        @if (url.ToLower().Contains("/login") || url.ToLower().Contains("/register"))
        {

        }
        else
        {
            <ul class="account-btns">
                <li class="signup-popup"><a title="Đăng ký tài khoản"><i class="la la-key"></i> Đăng ký</a></li>
                <li class="signin-popup"><a title="Đăng nhập hệ thống"><i class="la la-external-link-square"></i> Đăng nhập</a></li>
            </ul>
        }

    </div><!-- Btn Extras -->
    if (!url.ToLower().Contains("/login"))
    {
        <div class="account-popup-area signin-popup-box">
            <div class="account-popup">
                <span class="close-popup"><i class="la la-close"></i></span>
                <h3>Đăng nhập</h3>
                <div class="select-user">
                    <span id="candidatelogin" class="logintype">Ứng Viên</span>
                    <span id="employerlogin" class="logintype">Nhà Tuyển Dụng</span>
                </div>
                @using (Html.BeginForm("Login", "Account", new { ReturnUrl = ViewBag.ReturnUrl }, FormMethod.Post, new { @class = "form-horizontal", role = "form", id = "__AjaxAntiForgeryForm" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="cfield">
                        <input type="text" placeholder="Email" name="Email" id="EmailLogin" />
                        <i class="la la-user"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="********" name="Password" id="PassLogin" />
                        <i class="la la-key"></i>
                    </div>
                    <p class="remember-label">
                        <input type="checkbox" name="RememberMe" id="RememberMe"><label for="RememberMe">Nhớ tài khoản</label>
                    </p>
                    <a href="/account/forgotpassword" title="">Quyên mật khẩu?</a>
                    <button type="submit" id="Login">Đăng nhập</button>
                }
                <div class="extra-login">
                    <span></span>
                    <p>Bạn chưa có tài khoản? Đăng ký  <a href="/account/register" class="" style="color: #fb236a">tại đây</a></p>
                </div>
            </div>
        </div><!-- LOGIN POPUP -->
    }

    if (!url.ToLower().Contains("/register"))
    {
        <div class="account-popup-area signup-popup-box">
            <div class="account-popup">
                <span class="close-popup"><i class="la la-close"></i></span>
                <h3>Đăng Ký</h3>
                <div class="select-user">
                    <span id="candidateregister" class="registertype">Ứng Viên</span>
                    <span id="employerregister" class="registertype">Nhà Tuyển Dụng</span>
                </div>
                @*<form id="registerform">*@
                @using (Html.BeginForm("Register", "Account", FormMethod.Post, new { @class = "form-horizontal", role = "form", id = "registerform" }))
                {
                    @Html.AntiForgeryToken()
                    <div class="cfield">
                        <input type="text" placeholder="Tên đăng ký" name="UserName" id="UserNameRegister" />
                        <i class="la la-user"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="Mật khẩu" name="PassRegister" id="PassRegister" />
                        <i class="la la-key"></i>
                    </div>
                    <div class="cfield">
                        <input type="password" placeholder="Nhập lại mật khẩu" name="ConfirmPassword" id="ConfirmPassRegister" />
                        <i class="la la-key"></i>
                    </div>
                    @*<div class="cfield">
                <input placeholder="06.11.2007" type="text" class="form-control datepicker">
                <i class="la la-key"></i>
            </div>*@
                    <div class="cfield">
                        <input type="text" placeholder="Email" name="EmailRegister" id="EmailRegister" />
                        <i class="la la-envelope-o"></i>
                    </div>
                    <div class="cfield">
                        <input type="text" placeholder="Số điện thoại" name="PhoneRegister" id="PhoneRegister" />
                        <i class="la la-phone"></i>
                    </div>
                    <button type="submit" id="Register">Đăng Ký</button>
                }
                <div class="extra-login">
                    <span></span>
                    <p>Bạn đã có tài khoản? Đăng nhập  <a href="/account/login" class="" style="color: #fb236a">tại đây</a></p>
                </div>
                @*</form>*@
                @*<div class="extra-login">
            <span>Or</span>
            <div class="login-social">
                <a class="fb-login" href="#" title=""><i class="fa fa-facebook"></i></a>
                <a class="tw-login" href="#" title=""><i class="fa fa-twitter"></i></a>
            </div>
        </div>*@
            </div>
        </div><!-- SIGNUP POPUP -->
    }
}

JobHunt/Views/Shared/_LayoutHeader.cshtml
<header class="stick-top forsticky">
    <div class="menu-sec">
        <div class="container">
            <div class="logo">
                <a href="/" title=""><img class="hidesticky" src="~/Assets/client/images/resource/logo.png" alt="" /><img class="showsticky" src="~/Assets/client/images/resource/logo10.png" alt="" /></a>
            </div><!-- Logo -->
            @Html.Partial("_LayoutAuthentication")
            <nav>
                <ul>
                    <li class="menu-item-has-children">
                        <a href="@Url.Action("ListJobs","RecruitJob")" title="">Tất cả việc làm</a>
                    </li>
                    @if (Request.IsAuthenticated)
                    {
                        if (!User.IsInRole("Người tìm việc"))
                        {
                            <li class="menu-item-has-children">
                                <a href="@Url.Action("ListCandidates", "Candidate")" title="Danh sách công ty">Người tìm việc</a>
                            </li>
                        }
                        else
                        {
                            <li class="menu-item-has-children">
                                <a href="@Url.Action("ListRecruits", "Recruit")" title="Danh sách công ty">Công Ty</a>
                            </li>
                        }
                    }
                    else
                    {
                        <li class="menu-item-has-children">
                            <a href="@Url.Action("ListRecruits","Recruit")" title="Danh sách công ty">Công Ty</a>
                        </li>
                    }
                    <li class="menu-item-has-children">
                        <a href="@Url.Action("ListBlogs","Blog")" title="">Tư vấn/Bài viết</a>
                    </li>
                </ul>
            </nav><!-- Menus -->
        </div>
    </div>
</header>

JobHunt/Views/Shared/_LayoutResponsiveHeader.cshtml
<div class="responsive-header">
    <div class="responsive-menubar">
        <div class="res-logo"><a href="/" title=""><img src="~/Assets/client/images/resource/logo.png" alt="" /></a></div>
        <div class="menu-resaction">
            <div class="res-openmenu">
                <img src="~/Assets/client/images/icon.png" alt="" /> Menu
            </div>
            <div class="res-closemenu">
                <img src="~/Assets/client/images/icon2.png" alt="" /> Close
            </div>
        </div>
    </div>
    <div class="responsive-opensec">
        <form class="res-search">
            <input type="text" placeholder="Tiêu đề công việc, từ khóa hoặc tên công ty" />
            <button type="submit"><i class="la la-search"></i></button>
        </form>
        <div class="responsivemenu">
            <ul>
                <li>
                    <a href="#" title="">Tất cả việc làm</a>
                </li>
                @*<li>
            <a href="#" title="">Khu Công Nghiệp</a>
        </li>*@
                <li>
                    <a href="@Url.Action("ListRecruits", "Recruit")" title="Danh sách công ty">Công Ty</a>
                </li>
                <li>
                    <a href="@Url.Action("ListBlogs", "Blog")" title="">Tư vấn/Bài viết</a>
                </li>
                <li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>
                <li>@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
            </ul>
        </div>
    </div>
</div>